// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AIO168/16aio168_Linux_2.x.x.x_DN/include/16aio168_dsl.h $
// $Rev: 51161 $
// $Date: 2022-06-28 13:58:17 -0500 (Tue, 28 Jun 2022) $

// 16AIO168: Document Source Library: header file

#ifndef	__16AIO168_DSL_H__
#define	__16AIO168_DSL_H__

#include <stdlib.h>

#include "16aio168_api.h"



// prototypes *****************************************************************

int	aio168_close_dsl(int fd);
int	aio168_init_dsl	(void);
int	aio168_ioctl_dsl(int fd, int request, void *arg);
int	aio168_open_dsl	(int device, int share, int* fd);
int	aio168_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	aio168_write_dsl(int fd, const void* src, size_t bytes, size_t* qty);



#endif
