// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AIO168/16aio168_Linux_2.x.x.x_DN/samples/signals/perform.c $
// $Rev: 53660 $
// $Date: 2023-08-31 15:56:01 -0500 (Thu, 31 Aug 2023) $

// 16AIO168: Sample Application: source file

#include "main.h"



//*****************************************************************************
int perform_tests(const args_t* args)
{
	char	buf[128];
	int		errs	= 0;

	//===============================================================
	gsc_label("Sync Output");
	printf("\n");
	gsc_label_level_inc();

	errs	+= aio168_initialize		(args->fd, -1, 1);
	errs	+= aio168_ext_sync_src		(args->fd, -1, 1, AIO168_AI_EXT_SYNC_SRC_AISC, NULL);
	errs	+= aio168_ai_scan_clk_src	(args->fd, -1, 1, AIO168_AI_SCAN_CLK_SRC_RAG, NULL);
	errs	+= aio168_rag_nrate			(args->fd, -1, 1, 1200, NULL);
	errs	+= aio168_rag_enable		(args->fd, -1, 1, AIO168_GEN_ENABLE_YES, NULL);

	gsc_label_level_dec();

	//===============================================================
	sprintf(buf, "Waiting (%ld sec%s)", (long) args->seconds, (args->seconds == 1) ? "" : "s");
	gsc_label(buf);
	fflush(stdout);
	os_sleep_ms(args->seconds * 1000);
	printf("Done\n");

	errs	+= aio168_initialize		(args->fd, -1, 1);

	return(errs);
}



